Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.beans
Class DateChooserVisual

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      datechooser.beans.DateChooserVisual

All Implemented Interfaces:
  DateChooserBean, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

Direct Known Subclasses:
  DateChooserCombo, DateChooserPanel

    public abstract class DateChooserVisual

extends javax.swing.JPanel
implements DateChooserBean, java.io.Serializable

Basic class for all visual datechooser components. Базовый класс для всех визуальных компонентов выбора даты.

Since:
  1.1
Author:
  Androsov Vadim
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface datechooser.beans.DateChooserBean
`PREFIX, PROPERTY_AUTOSCROLL, PROPERTY_BACK_COLOR, PROPERTY_BEHAVIOR, PROPERTY_CALENDAR_SIZE, PROPERTY_CURRENT, PROPERTY_DEFAULT_DATES, PROPERTY_ENABLED, PROPERTY_FORBID_DATES, PROPERTY_LOCALE, PROPERTY_LOCKED, PROPERTY_MAX_DATE, PROPERTY_MIN_DATE, PROPERTY_NAVIG_FONT, PROPERTY_NAVIG_PANE, PROPERTY_NOTHING_ALLOWED, PROPERTY_ONE_MONTH, PROPERTY_VIEW, PROPERTY_WEEK_STYLE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`DateChooserVisual()`

Method Summary
`DateChooserVisual` | `clone()` Clones bean.
`datechooser.beans.BeanTableCellEditor` | `createTableCellEditor()` Bean mutates into TableCellEditor object.
`static datechooser.beans.BeanTableCellEditor` | `createTableCellEditor(DateChooserVisual bean)` Bean mutates into TableCellEditor object.
`datechooser.beans.BeanTableCellRenderer` | `createTableCellRenderer()` Bean mutates into TableCellRenderer object.
`static datechooser.beans.BeanTableCellRenderer` | `createTableCellRenderer(DateChooserVisual bean)` Bean mutates into TableCellRenderer object.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface datechooser.beans.DateChooserBean
`addCommitListener, addCursorMoveListener, addSelectionChangedListener, commit, getAppearancesList, getBehavior, getCalendarBackground, getCalendarPreferredSize, getCurrent, getCurrentNavigateIndex, getCurrentView, getDefaultPeriods, getForbiddenPeriods, getLocale, getMaxDate, getMinDate, getNavigateFont, getSelectedDate, getSelectedPeriodSet, getSelection, getWeekStyle, isAutoScroll, isEnabled, isLocked, isNothingAllowed, isShowOneMonth, removeCommitListener, removeCursorMoveListener, removeSelectionChangedListener, setAutoScroll, setBehavior, setCalendarBackground, setCalendarPreferredSize, setCurrent, setCurrentNavigateIndex, setCurrentView, setDefaultPeriods, setEnabled, setForbidden, setForbiddenPeriods, setLocale, setLocked, setMaxDate, setMinDate, setNavigateFont, setNothingAllowed, setSelectedDate, setSelection, setSelection, setShowOneMonth, setWeekStyle`

Constructor Detail

### DateChooserVisual

    public DateChooserVisual()

Method Detail

### createTableCellEditor

    public static datechooser.beans.BeanTableCellEditor createTableCellEditor(DateChooserVisual bean)

  Bean mutates into TableCellEditor object. Editor refers new (cloned) bean. Преобразует компонент в редактор ячеек таблицы. Редактор ссылается на клонированный компонент.

  Returns:
    TableCellEditor object
  Since:
    1.1

### createTableCellRenderer

    public static datechooser.beans.BeanTableCellRenderer createTableCellRenderer(DateChooserVisual bean)

  Bean mutates into TableCellRenderer object. Renderer refers new (cloned) bean. Преобразует компонент в рисовальщик ячеек таблицы. Рисовальщик ссылается на клонированный компонент.

  Returns:
    TableCellRenderer object
  Since:
    1.1

### clone

    public DateChooserVisual clone()

  Description copied from interface: `DateChooserBean`
  Clones bean.
  Клонирование компонента.

  Specified by:
    `clone` in interface `DateChooserBean`
  Overrides:
    `clone` in class `java.lang.Object`

### createTableCellRenderer

    public datechooser.beans.BeanTableCellRenderer createTableCellRenderer()

  Bean mutates into TableCellRenderer object. Renderer refers new (cloned) bean. Преобразует компонент в рисовальщик ячеек таблицы. Рисовальщик ссылается на клонированный компонент.

  Returns:
    TableCellRenderer object
  Since:
    1.1

### createTableCellEditor

    public datechooser.beans.BeanTableCellEditor createTableCellEditor()

  Bean mutates into TableCellEditor object. Editor refers new (cloned) bean. Преобразует компонент в редактор ячеек таблицы. Редактор ссылается на клонированный компонент.

  Returns:
    TableCellEditor object
  Since:
    1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD